Package Details: google-authenticator-libpam-git r120.c1b3879-1

Git Clone URL: https://aur.archlinux.org/google-authenticator-libpam-git.git (read-only, click to copy)
Package Base: google-authenticator-libpam-git
Description: PAM module for google authenticator app
Upstream URL: https://github.com/google/google-authenticator-libpam
Licenses: Apache
Conflicts: google-authenticator-libpam
Provides: google-authenticator-libpam
Submitter: calid
Maintainer: None
Last Packager: nylocx
Votes: 32
Popularity: 0.000000
First Submitted: 2012-03-31 22:39
Last Updated: 2016-11-10 17:03

Dependencies (3)

Required by (0)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 Next › Last »

Anonymous comment on 2012-06-06 23:33

They switched the version control system to Git so this PKGBUILD no longer works. Someone else already made a new one so you probably want to use that one: https://aur.archlinux.org/packages.php?ID=58094

(Is there a way to deprecate or delete AUR packages?)

Anonymous comment on 2012-06-06 22:24

Getting "HTTP Error 404: Not Found" running makepkg:


$ makepkg -s
==> WARNING: Cannot find the hg binary required to determine latest hg revision.
==> Making package: google-authenticator-libpam-hg 93-1 (Wed Jun 6 15:22:50 PDT 2012)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Installing missing dependencies...
resolving dependencies...
looking for inter-conflicts...

Targets (2): mercurial-2.2.2-1 subversion-1.7.5-2

Total Installed Size: 43.79 MiB

Proceed with installation? [Y/n] y
(2/2) checking package integrity [##############################] 100%
(2/2) loading package files [##############################] 100%
(2/2) checking for file conflicts [##############################] 100%
(2/2) checking available disk space [##############################] 100%
(1/2) installing mercurial [##############################] 100%
Optional dependencies for mercurial
tk: for the hgk GUI
(2/2) installing subversion [##############################] 100%
Optional dependencies for subversion
libgnome-keyring
kdeutils-kwallet
bash-completion: for svn bash completion
python2: for some hook scripts
==> Retrieving Sources...
==> Extracting Sources...
==> Starting build()...
==> Connecting to Mercurial server....
warning: google-authenticator.googlecode.com certificate with fingerprint fd:02:92:b1:b3:32:27:f4:7b:40:3d:0a:ca:9e:dd:ee:22:17:52:02 not verified (check hostfingerprints or web.cacerts config setting)
abort: HTTP Error 404: Not Found
==> ERROR: A failure occurred in build().
Aborting...

gdamjan commented on 2012-05-24 01:26

Since the "usrmove", PAM modules are now in /usr/lib/security not in /lib/security. The PKGBUILD needs to be updated

calid commented on 2012-05-05 22:11

didn't ln, just moved it since that's where everything else is now

xjpvictor commented on 2012-05-05 05:02

please ln pam_google_authenticator.so into /usr/lib/security/ for pam 1.1.5-3. thanks

Anonymous comment on 2011-12-26 11:03

Updated the PKGBUILD. Have fun!

wanderxjtu commented on 2011-12-26 05:15

remove the makefile.patch and it works.

felixonmars commented on 2011-12-22 15:34

I'm getting this now:

patching file libpam/Makefile
Hunk #1 FAILED at 55
1 out of 1 hunks FAILED -- saving rejects to file libpam/Makefile.rej
abort: patch failed to apply

Alibloke commented on 2011-12-08 09:13

There's a missing dependency for subversion in the PKGBUILD, if subversion isn't installed you get the error:
abort: 'svn' executable not found for subrepo 'mobile/ios/externals/google-toolbox-for-mac'

Anonymous comment on 2011-08-29 04:21

Oh come on Google... They have added two huge SVN repos as Mercurial subrepos. They are completely unrelated to the pam module but I don't know if theres a way to prevent Mercurial from checking them out. I'll try to find a work-around.